document.documentElement.style.zoom = (document.documentElement.clientWidth || document.body.clientWidth) / 640;

function initMethods(){
	log('function type: '+ typeof(window.openUrl) + '\nDoupai type:'+ typeof(window.doupai), 'info');

	window.openUrl = window.openUrl || function(){ doupai.openUrl(arguments[0]); };
	window.playVideo = window.playVideo || function(){ doupai.playVideo(arguments[0]); };
	window.buyCoin = window.buyCoin || function(){ doupai.buyCoin(arguments[0]); };
	window.buyVip = window.buyVip || function(){ doupai.buyVip(); };
	window.renewVip = window.renewVip || function(){ doupai.renewVip(); };
	window.copyAndOpenWechat = window.copyAndOpenWechat || function(id){ doupai.copyAndOpenWechat(id); };
}

function renderView(json){
	log('renderView方法: 当前页面'+ (isLoaded?'已':'未') +'载入', 'info')
	var obj;
	if(typeof json !== 'object'){
		try{
			obj = JSON.parse(json);
		}
		catch(e) {
			log('json错误:<br>Type: '+  typeof(json) + '<br>JSON格式化: ' + JSON.stringify(json), 'error');
			return 0;
		}
	}
	else{
		obj = json;
	}
	log(JSON.stringify(obj));

	function renderValue(parent, values){
		for(var k in values){
			var v = values[k];

			if(typeof v === 'object'){
				if(parent[k] === undefined){
					parent[k] = v.length === undefined ? {} : [];
				}
				if(parent[k].length !== undefined){
					parent[k] = v;
				}
				else{
					renderValue(parent[k], v);
				}
			}
			else{
				if(v !== undefined){
					parent[k] = v === null ? '' : v;
				}
			}
		}
	}

	isLoaded ? renderValue(app, obj) : renderValue(data, obj);
	return 1;
}


function log(msg, type){
	if(!data.debug) return false;
	type = type || 'log';

	var colors = {info:'#66fffc', warn:'orange', error:'red'};
	var msg = '['+ type +'] ' + msg;
	var row = '<p style="color:'+ colors[type] +';">'+ msg +'</p>';
	document.querySelector('#debug-log').innerHTML += row;
	console[type](msg);
}


var app;
var isLoaded = 0;
var data = {
	debug: false,
	agree: true,
	user: {
		"id": '',
		"userNo": "",
		"name": "",
		"username": "",
		"isVip": 0,
		"sign": "",
		"gender": 1,
		"avatar": "http://d.doupai.cc/static/img/default-avatar.png",
		"service": {
			"vipPassDate": ""
		},
		"account": {
			"coin": 0,
		}
	},
	goods_vip: {},
	goods_coin: {
		"results": [],
		// 账户信息
		"account": {
			"coin": 0
		},
		"helpUrl": "", // 金币充值帮助文档
		"helpWechat": "DoupaiTV", // 金币充值客服微信号
		"alertMessage": "若到账延时请耐心等待 充值咨询微信号:", // 提示信息
		"purchaseAgreementUrl": ""
	},
	ad: []
};

window.onload = function() {
	isLoaded = 1;
	document.body.addEventListener('touchstart', function () {}); //防止浏览器阻止css的active属性
	initMethods();

	app = new Vue({
		el: '#app',
		data: data,
		methods: {},
		computed: {}
	});

	$('#slides').slick({
		centerMode: true,
		centerPadding: '160px',
		infinite: true,
		initialSlide: 1,
		arrows: false,
		autoplay: true,
		slidesToShow: 1,
		slidesToScroll: 4
	});

}