document.documentElement.style.zoom = (document.documentElement.clientWidth || document.body.clientWidth) / 640;

function initMethods(){
	log('function type: '+ typeof(window.openUrl) + '\nDoupai type:'+ typeof(window.doupai), 'info');

	window.openUrl = window.openUrl || function(){ doupai.openUrl(arguments[0]); };
	window.playVideo = window.playVideo || function(){ doupai.playVideo(arguments[0]); };
	window.buyCoin = window.buyCoin || function(){ doupai.buyCoin(arguments[0]); };
	window.buyVip = window.buyVip || function(){ doupai.buyVip(); };
	window.renewVip = window.renewVip || function(){ doupai.renewVip(); };
	window.copyAndOpenWechat = window.copyAndOpenWechat || function(id){ doupai.copyAndOpenWechat(id); };
}

function renderView(json){
	log('renderView方法: 当前页面'+ (isLoaded?'已':'未') +'载入', 'info')
	var obj;
	if(typeof json !== 'object'){
		try{			
			obj = JSON.parse(json);
		}
		catch(e) {
			log('json错误:<br>Type: '+  typeof(json) + '<br>JSON格式化: ' + JSON.stringify(json), 'error');
			return 0;
		}
	}
	else{
		obj = json;
	}
	log(JSON.stringify(obj));

	function renderValue(parent, values){
		for(var k in values){
			var v = values[k];

			if(typeof v === 'object'){
				if(parent[k] === undefined){
					parent[k] = v.length === undefined ? {} : [];
				}
				renderValue(parent[k], values[k]);
			}
			else{
				if(v !== undefined){
					parent[k] = v === null ? '' : v;
				}
			}
		}
	}

	isLoaded ? renderValue(app, obj) : renderValue(data, obj);
	return 1;
}


function log(msg, type){
	if(!data.debug) return false;
	type = type || 'log';

	var colors = {info:'#66fffc', warn:'orange', error:'red'};
	var msg = '['+ type +'] ' + msg;
	var row = '<p style="color:'+ colors[type] +';">'+ msg +'</p>';
	document.querySelector('#debug-log').innerHTML += row;
	console[type](msg);
}


var app;
var isLoaded = 0;
var data = {
	debug: false,
	agree: true,
	user: {
		"id": '',
		"userNo": "",
		"name": "",
		"username": "",
		"isVip": 0,
		"sign": "",
		"gender": 1,
		"avatar": "http://v2.doupai.cc/static/img/default-avatar.png",
		"service": {
			"vipPassDate": ""
		},
		"account": {
			"coin": 0,
		}
	},
	goods_vip: {
		"purchaseAgreementUrl": "",
		"alertMessage": "",
		"helpWechat": "",
		"manyanCollegeAlert": "微信号: ",
		"manyanCollegeWechat": "manyantv",
		"helpUrl": "",
		"previewUrl": "",
		"imageUrl": "",
		"videoUrl": "",
		"currency": "cny",
		"promoteTitle": "",
		"priceFormated": "",
		"price": "198",
		"brief": "",
		"name": "",
		"asin": "",
		"id": "",
		"sourceType": 0
	},
	goods_coin: {},
	ad: [
		{
			"linkUrl" : "",
    		"imageUrl" : "src/ad_1.png",
		},
	]
};

window.onload = function() {
	isLoaded = 1;
	initMethods();

	app = new Vue({
		el: '#app',
		data: data,
		methods: {},
		computed: {
			vip_expire_text: function(){
				var d = this.user.service.vipPassDate;
				return d ? '（VIP会员'+ d +'到期）' : '';
			},
			manyan_college_wechat_text: function(){
				return this.goods_vip.manyanCollegeAlert + this.goods_vip.manyanCollegeWechat;
			},
		}
	});

	$('#slides').slick({
		centerMode: true,
		centerPadding: '160px',
		infinite: true,
		initialSlide: 1,
		arrows: false,
		autoplay: true,
		slidesToShow: 1,
		slidesToScroll: 4
	});

}



